This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 504497

Summary: Is kernel shipping zlib?
Product: [Fedora] Fedora Reporter: Simon <cassmodiah>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: a.badger, itamar, kernel-maint, notting, quintela, redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-08 16:29:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description Simon 2009-06-07 10:44:53 EDT
Description of problem:
The kernel is carrying its own copy of zlib, isn't it?

If yes, this is not allowed for reasons noted here:
https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries

How reproducible:
$ rpm -ql kernel | grep zlib
/lib/modules/2.6.29.3-140.fc11.ppc/kernel/lib/zlib_deflate
/lib/modules/2.6.29.3-140.fc11.ppc/kernel/lib/zlib_deflate/zlib_deflate.ko
Comment 1 Bill Nottingham 2009-06-08 16:29:47 EDT
The kernel cannot link against shared libraries; it would be an exception to this policy.